<br />
<div class="container">
  <div>
    <h5 *ngIf="client; else trainer"> Treninzi na koje ste prijavljeni: </h5>
    <ng-template #trainer>
      <h5> Treninzi koje ste zakazali: </h5>
      <button mat-raised-button style="background-color: #333333; color: white;" [routerLink]="['/newworkout']"> Novi
        trening </button>
    </ng-template>
    <mat-form-field>
      <mat-label>Filter</mat-label>
      <input matInput (keyup)="applyFilter($event)" placeholder="Pr. Cross fit" #input>
    </mat-form-field>

    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource" multiTemplateDataRows matSort (matSortChange)="sortData($event)">

        <!-- Pocetak -->
        <ng-container matColumnDef="startTime">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Početak </th>
          <td mat-cell *matCellDef="let row">
            {{row.startTime | date:"dd.MM.yyyy HH:mm"}}
          </td>
        </ng-container>

        <!-- Kraj -->
        <ng-container matColumnDef="endTime">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Kraj </th>
          <td mat-cell *matCellDef="let row">
            {{row.endTime | date: "dd.MM.yyyy HH:mm"}}
          </td>
        </ng-container>

        <!-- Lokacija -->
        <ng-container matColumnDef="gym">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Lokacija </th>
          <td mat-cell *matCellDef="let row">
            <a [routerLink]="['/gym', row.gym]">
              <!-- {{getGymName(row.gym)}} -->
              Info o lokaciji
            </a>

          </td>
        </ng-container>

        <!-- Naziv treninga -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Naziv treninga </th>
          <td mat-cell *matCellDef="let row"> {{row.name}} </td>
        </ng-container>


        <!-- Preostalo mesta ako je trener -->
        <ng-container *ngIf="!client" matColumnDef="currentSpots">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Popunjeno mesta </th>
          <td mat-cell *matCellDef="let row"> {{row.currentSpots}}/{{row.maxSpots}} </td>
        </ng-container>

        <!-- Tip treninga -->
        <ng-container matColumnDef="trainingType">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Tip treninga </th>
          <td mat-cell *matCellDef="let row"> {{row.trainingType}} </td>
        </ng-container>

        <!-- Dugmici za update treninga ili otkazivanje treninga (Samo kod trenera se prikazuju) -->
        <ng-container *ngIf="!client" matColumnDef="buttonUpdate">
          <th mat-header-cell *matHeaderCellDef> </th>
          <td mat-cell *matCellDef="let row">
            <button mat-raised-button [routerLink]="['/wupdate', row._id]"> Izmeni trening </button>

          </td>
        </ng-container>

        <ng-container *ngIf="!client" matColumnDef="buttonCancel">
          <th mat-header-cell *matHeaderCellDef> </th>
          <td mat-cell *matCellDef="let row">
            <button mat-raised-button style="background-color: #333333; color: white;" (click)="cancelWorkout(row)">
              Otkaži trening </button>
          </td>
        </ng-container>

        <!-- Dugme za odustajanje/ispisivanje sa treninga (samo kod klijenta se prikazuje) -->
        <ng-container *ngIf="client" matColumnDef="buttonResign">
          <th mat-header-cell *matHeaderCellDef> </th>
          <td mat-cell *matCellDef="let row">
            <button mat-raised-button style="background-color: #333333; color: white;" (click)="removeWorkout(row)">
              Odustani </button>
          </td>
        </ng-container>

        <!-- Detalji koji se prikazuju na klik reda -->
        <ng-container matColumnDef="expandedDetail">
          <td mat-cell *matCellDef="let workout" [attr.colspan]="displayedColumns.length">
            <div class="example-element-detail" [@detailExpand]="workout == expandedElement ? 'expanded' : 'collapsed'">
              <div class="details">
                <div><strong>Težina treninga:</strong> {{workout.difficulty}}</div>
                <div><strong>Cena:</strong> {{workout.price}} <strong>RSD</strong></div> <br>
                <div><strong>Opis:</strong> {{workout.description}} </div>
                <!-- <div *ngIf="!client; else showTrainer"> -->
                <div *ngIf="!client">
                  <a [routerLink]="['/traineeList', workout._id]">Spisak prijavljenih klijenata</a>
                </div>
                <!--  
                          <ng-template #showTrainer>
                            <strong>Trener:</strong> 
                            <a [routerLink]= "['/profile', getTrainerUsername(workout.trainer)]"> 
                              {{getTrainer(workout.trainer).firstName}} {{getTrainer(workout.trainer).lastName}}
                             </a> 
                          </ng-template> -->
              </div>
            </div>
          </td>

        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;" class="example-element-row"
          [class.example-expanded-row]="expandedElement === row"
          (click)="expandedElement = expandedElement === row ? null : row">
        </tr>
        <tr mat-row *matRowDef="let row; columns: ['expandedDetail']" class="example-detail-row"></tr>

        <!-- Row shown when there is no matching data. -->
        <tr class="mat-row" *matNoDataRow>
          <td class="mat-cell" colspan="7"> Nema treninga sa traženim kriterijumom "{{input.value}}"</td>
        </tr>
      </table>

      <mat-paginator [length]="noOfWorkouts" [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
    </div>
  </div>


</div>

<br />
<br />
<div class="container">
  <button mat-raised-button class="col-md-12" style="background-color: #333333; color: white;"
    (click)="onDisplayWorkouts()"> Pretraga treninga</button>
</div>
<div class="container" [hidden]="!displayWorkouts">
  <app-all-workouts></app-all-workouts>
</div>